LWTextInternal::State Struct Reference

Internal: the state of a LWText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< Font > | m_auxiFontsList
| the auxiliar list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::multimap< long, PLC > | m_plcMap
| the plc map More...
HFZone | m_header
| header More...
HFZone | m_footer
| footer More...

## Detailed Description

Internal: the state of a LWText.

## Constructor & Destructor Documentation

LWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int LWTextInternal::State::m_actualPage

std::vector<Font> LWTextInternal::State::m_auxiFontsList

the auxiliar list of fonts

std::vector<Font> LWTextInternal::State::m_fontsList

the list of fonts

HFZone LWTextInternal::State::m_footer

footer

HFZone LWTextInternal::State::m_header

header

int LWTextInternal::State::m_numPages

std::vector<Paragraph> LWTextInternal::State::m_paragraphsList

the list of paragraph

std::multimap<long, PLC> LWTextInternal::State::m_plcMap

the plc map

int LWTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- LWText.cxx